> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.combinemode.md).

# CombineMode

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies how different clipping regions can be combined.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum CombineMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum CombineMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                                                                                                   |
| -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Complement** | Specifies that the existing region is replaced by the result of the existing region being removed from the new region. Said differently, the existing region is excluded from the new region. |
| **Exclude**    | Specifies that the existing region is replaced by the result of the new region being removed from the existing region. Said differently, the new region is excluded from the existing region. |
| **Intersect**  | Two clipping regions are combined by taking their intersection.                                                                                                                               |
| **Replace**    | One clipping region is replaced by another.                                                                                                                                                   |
| **Union**      | Two clipping regions are combined by taking the union of both.                                                                                                                                |
| **Xor**        | Two clipping regions are combined by taking only the areas enclosed by one or the other region, but not both.                                                                                 |

## Used By

| Name                                                                                                             | Description                                                                                                                                                                                                                                                                                                             |
| ---------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Graphics.SetClip](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.combinemode.md) | Sets the clipping region of this [Graphics](/system.drawing.managed/api/system.drawing/system.drawing.graphics.md) to the result of the specified operation combining the current clip region and the rectangle specified by a [RectangleF](https://docs.microsoft.com/dotnet/api/system.drawing.rectanglef) structure. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.combinemode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
